# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%define svnrev 2892
%define upname doxygenplugin

Name: trac-doxygen-plugin
Version: 0.4
Release: 0.5.r%{svnrev}%{?dist}
Summary: Integrates doxygen documentation into Trac
License: BSD

Group: Applications/Internet
URL: http://trac-hacks.org/wiki/DoxygenPlugin
# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
Source0: %{upname}-r%{svnrev}.tar.bz2
# svn export -r %{svnrev} http://trac-hacks.org/svn/doxygenplugin/0.10 doxygenplugin
#  tar -cjvf doxygenplugin-r%{svnrev}.tar.bz2  doxygenplugin
BuildRoot:  %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildArch: noarch
BuildRequires: python-devel
BuildRequires: python-setuptools
Requires: trac, python-setuptools

%description
The aim is to embed one or multiple doxygen-generated documentation(s) 
within Trac, in order to have consistent look and feel, and easy referencing 
to doxygen pages using the usual TracLinks and the doxygen: prefix.

%prep
%setup -n %{upname} -q
chmod -x doxygentrac/templates/doxygen.cs

%build
%{__python} setup.py build


%install
%{__rm} -fr %{buildroot}
%{__python} setup.py install --skip-build --root  %{buildroot}
 
%clean
%{__rm} -fr %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING
%{python_sitelib}/*


%changelog
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-0.5.r2892
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.4-0.4.r2892
- Rebuild for Python 2.6

* Tue Dec 18 2007 Sergio Pascual <sergio.pasra at gmail.com> - 0.4-0.3.r2892
- Renamed as trac-doxygen-plugin

* Mon Dec 17 2007 Sergio Pascual <sergio.pasra at gmail.com> - 0.4-0.2.r2892
- Removed redundant line in install section

* Thu Dec 13 2007 Sergio Pascual <sergio.pasra at gmail.com> - 0.4-0.1.r2892
- Initial build, initial template borrowed from Jesse Keating's trac-webadmin
